Package ru.bitel.bgbilling.modules.phone.server.bean

# Class PhoneItemListManager

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.PhoneItemListManager

    public class PhoneItemListManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PhoneItemListManager​(int mid, java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `clearNumbers​(int phoneItemId)` |
  `void` | `deleteNumber​(PhoneItemListNumber number)` |
  `java.util.List<PhoneItemListNumber>` | `getActualNumbersForItem​(int phoneItemId)` |
  `java.util.List<PhoneItemListNumber>` | `getDeletedNumbersForItem​(int phoneItemId)` |
  `PhoneItemListMode` | `getMode​(int phoneItemId)` |
  `java.util.List<PhoneItemListNumber>` | `getNumbersForItem​(int phoneItemId, boolean isDeleted)` |
  `java.util.List<PhoneItemListNumber>` | `getToDeleteNumbers()` |
  `java.util.List<PhoneItemListMode>` | `getToUpdateModes()` |
  `java.util.List<PhoneItemListNumber>` | `getToUpdateNumbers()` |
  `void` | `updateMode​(PhoneItemListMode mode)` |
  `void` | `updateNumber​(PhoneItemListNumber number)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PhoneItemListManager

    public PhoneItemListManager​(int mid, java.sql.Connection con)

- ## Method Details

  - ### updateMode

    public void updateMode​(PhoneItemListMode mode) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### clearNumbers

    public void clearNumbers​(int phoneItemId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateNumber

    public void updateNumber​(PhoneItemListNumber number) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteNumber

    public void deleteNumber​(PhoneItemListNumber number) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getActualNumbersForItem

    public java.util.List<PhoneItemListNumber> getActualNumbersForItem​(int phoneItemId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDeletedNumbersForItem

    public java.util.List<PhoneItemListNumber> getDeletedNumbersForItem​(int phoneItemId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getNumbersForItem

    public java.util.List<PhoneItemListNumber> getNumbersForItem​(int phoneItemId, boolean isDeleted) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getToDeleteNumbers

    public java.util.List<PhoneItemListNumber> getToDeleteNumbers() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getToUpdateNumbers

    public java.util.List<PhoneItemListNumber> getToUpdateNumbers() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getToUpdateModes

    public java.util.List<PhoneItemListMode> getToUpdateModes() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMode

    public PhoneItemListMode getMode​(int phoneItemId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`